<template>
    <v-app-bar
        app
        fixed
        class="header"
        color="#fff"
        :height="height">
        <v-container id="header-container"
                     d-flex
                     fluid>
            <Logo/>
            <v-spacer/>
            <Menu :menu="menu"/>
            <Modal :menu="menu"/>
        </v-container>
    </v-app-bar>
</template>

<script>
import Logo from './Menu/Logo'
import Menu from './Menu/Menu'
import Modal from './Menu/Modal'
export default {
    name: 'Header',
    components: {
        Logo,
        Menu,
        Modal
    },
    data: () => ({
        height: 80,
        menu: {
            pricing: {
                name: 'Pricing',
                route: 'Pricing'
            },
            howItWorks: {
                name: 'How It Works',
                route: 'HowItWorks'
            },
            contact: {
                name: 'Contact',
                route: 'Contact'
            }
        }
    }),
}
</script>
